# TransactionStream | xrpl
Documentation for xrpl

# Interface TransactionStream

Many subscriptions result in messages about transactions.

#### Hierarchy

- BaseStream
  - TransactionStream

- Defined in packages/xrpl/src/models/methods/subscribe.ts:264

#####
Index

### Properties

engine_result
engine_result_code
engine_result_message
ledger_current_index?
ledger_hash?
ledger_index?
meta?
status
transaction
type
validated?
warnings?

## Properties

### engine_result

engine_result: string

String Transaction result code.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:268

### engine_result_code

engine_result_code: number

Numeric transaction response code, if applicable.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:270

### engine_result_message

engine_result_message: string

Human-readable explanation for the transaction response.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:272

### `Optional` ledger_current_index

ledger_current_index?: number

The ledger index of the current in-progress ledger version for which this transaction is currently proposed.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:277

### `Optional` ledger_hash

ledger_hash?: string

The identifying hash of the ledger version that includes this transaction.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:279

### `Optional` ledger_index

ledger_index?: number

The ledger index of the ledger version that includes this transaction.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:281

### `Optional` meta

meta?: TransactionMetadata

The transaction metadata, which shows the exact outcome of the transaction in detail.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:286

### status

status: string

- Defined in packages/xrpl/src/models/methods/subscribe.ts:265

### transaction

transaction: Object

The definition of the transaction in JSON format.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:288

### type

type: "transaction"

Overrides BaseStream.type

- Defined in packages/xrpl/src/models/methods/subscribe.ts:266

### `Optional` validated

validated?: boolean

If true, this transaction is included in a validated ledger and its outcome is final. Responses from the transaction stream should always be validated.

- Defined in packages/xrpl/src/models/methods/subscribe.ts:294

### `Optional` warnings

warnings?: {
id: number;
message: string;
}[]

#### Type declaration

- ##### id: number

- ##### message: string

- Defined in packages/xrpl/src/models/methods/subscribe.ts:295

Generated using TypeDoc